## org.eclipse.amp.axf.ide
Class HandlerManager

    java.lang.Object
      org.eclipse.amp.axf.ide.HandlerManager

    public class HandlerManager

extends java.lang.Object

Author:
  mparker

Constructor Summary
`HandlerManager()`

Method Summary
`void` `activate()`
`protected void` `addHandler(java.lang.String id, ModelRunHandler handler)` Adds the handler.
`void` `deactivate()`
`void` `notifyHandlers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlerManager

    public HandlerManager()

Method Detail

### activate

    public void activate()

### deactivate

    public void deactivate()

### addHandler

    protected void addHandler(java.lang.String id,
                              ModelRunHandler handler)

  Adds the handler.

  Parameters:
    `id` - the id
    `handler` - the handler

### notifyHandlers

    public void notifyHandlers()